redis安装
#!/bin/bash
##############################################################
# File Name: install_redis.sh
# Version: V1.0
# Author: junwang
# Organization:
# Created Time : 2021-04-14 17:12:54
# Description:
##############################################################
tools_path=/server/tools
install_path=/web
yum install -y gcc wget
mkdir -p $tools_path
mkdir -p $install_path
# install redis
install_redis(){
cd $tools_path
if ! ls /server/tools/redis-4.0.9.tar.gz > /dev/null 2>&1
then
wget http://xxx/redis/redis-4.0.9/redis-4.0.9.tar.gz
fi
tar -xf redis-4.0.9.tar.gz -C $install_path && ln -s $install_path/redis-4.0.9 $install_path/redis
cd $install_path/redis
make&&make install
if [ $? -eq 0 ]
then
echo "###################################### Redis installed successfully #########################"
echo 'export PATH=$PATH:'$install_path'/redis/src' >> /etc/profile
source /etc/profile
cp $install_path/redis/redis.conf $install_path/redis/redis.conf_bak
# sed -i 's#daemonize no#daemonize yes#g' $install_path/redis/redis.conf
# sed -i 's#logfile ""#logfile "/var/log/redis.log"#g' $install_path/redis/redis.conf
# sed -i 's#bind 127.0.0.1#bind *#g' $install_path/redis/redis.conf
echo 'bind *
protected-mode no
port 6379
tcp-backlog 511
timeout 0
tcp-keepalive 300
daemonize yes
supervised no
pidfile /var/run/redis_6379.pid
loglevel notice
logfile "/var/log/redis.log"
databases 16
always-show-logo yes
save 900 1
save 300 10
save 60 10000
stop-writes-on-bgsave-error yes
rdbcompression yes
rdbchecksum yes
dbfilename dump.rdb
dir ./
slave-serve-stale-data yes
slave-read-only yes
repl-diskless-sync no
repl-diskless-sync-delay 5
repl-disable-tcp-nodelay no
slave-priority 100
requirepass 123456
lazyfree-lazy-eviction no
lazyfree-lazy-expire no
lazyfree-lazy-server-del no
slave-lazy-flush no
appendonly no
appendfilename "appendonly.aof"
appendfsync everysec
no-appendfsync-on-rewrite no
auto-aof-rewrite-percentage 100
auto-aof-rewrite-min-size 64mb
aof-load-truncated yes
aof-use-rdb-preamble no
lua-time-limit 5000
slowlog-log-slower-than 10000
slowlog-max-len 128
latency-monitor-threshold 0
notify-keyspace-events ""
hash-max-ziplist-entries 512
hash-max-ziplist-value 64
list-max-ziplist-size -2
list-compress-depth 0
set-max-intset-entries 512
zset-max-ziplist-entries 128
zset-max-ziplist-value 64
hll-sparse-max-bytes 3000
activerehashing yes
client-output-buffer-limit normal 0 0 0
client-output-buffer-limit slave 256mb 64mb 60
client-output-buffer-limit pubsub 32mb 8mb 60
hz 10
aof-rewrite-incremental-fsync yes
' > $install_path/redis/redis.conf
# .$install_path/redis/src/
redis-server $install_path/redis/redis.conf &
if [ $? -eq 0 ]
then
echo '
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#*==+==##@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#*=+--++--++--++=*#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@#*=+-------+*@@@@#+-------+=*#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@=--*@@*--+@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@#*=+---++===++--+++*@=+++----....---+=*#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@---+@@*--+@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@*+------#@@@@@@@@@*----+----...... ...------=@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@---+@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@-.------+**#####*=+------+-----....-------..-@@@@@@@@@@#==*@#*===*@@@#*=++==*#@@@@@@@@#*==+==*#---+@@@==*@@@@@*==+==*#@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@-.....-----------=**###@@*------------......-@@@@@@@@@@=---+-----=@=----++----+#@@@@*+------------+@@=---#@@=----------*@@@@@@@@@@@@@
@@@@@@@@@@@@@@@*-.........-------+=*#@@=--------..........+#@@@@@@@@@@=-----=#@@#+--+#@@@@#*+--*@@+---=*###*+----+@@=---#@*---=#@@#=++#@@@@@@@@@@@@@
@@@@@@@@@@@@@@@=----...........------------...........-----+@@@@@@@@@@=---+#@@@@+--+*#*****#*---#=---*@@@@@@@*---+@@=---#@#----+=**#@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@-.--------...........--...........-------...-@@@@@@@@@@=---#@@@@@----------------#+--+@@@@@@@@@---+@@=---#@@@*+-------=#@@@@@@@@@@@@@
@@@@@@@@@@@@@@@-......--------..............--------.......+@@@@@@@@@@=---#@@@@@+---*@@@@@@@@@@@@=---*@@@@@@@=---+@@=---#@@@@@@@##*+---#@@@@@@@@@@@@
@@@@@@@@@@@@@@@*-..........--------.....-------..........--*@@@@@@@@@@=---#@@@@@#+---=##@@#*=+*@@@=---+*###*+----+@@=---#@=--+*#@##+---#@@@@@@@@@@@@
@@@@@@@@@@@@@@@+------..........----------..........------.-@@@@@@@@@@=---#@@@@@@@*+---------+*@@@@*+------------+@@=---#@*+---------+*@@@@@@@@@@@@@
@@@@@@@@@@@@@@@-...-------......................-------....-@@@@@@@@@@@==*@@@@@@@@@@#*=====*#@@@@@@@@#*====**@*==#@@@==*@@@@@#*====*#@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@+........-------............-------........-*@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@#*=+-........-------..-------........-+=#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@#*=--........-------.......-+=*#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@#*=--.............-+*#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#*+-....-+=#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@###@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
'
else
echo "Redis failed to start"
exit 1
cd $tools_path && rm -rf *
fi
else
echo "###################################### Redis installed failed #########################"
exit 1
fi
}
install_redis
本文来自博客园,作者:EJW,转载请注明原文链接:https://www.cnblogs.com/ejjw/p/17929150.html
【推荐】国内首个AI IDE,深度理解中文开发场景,立即下载体验Trae
【推荐】编程新体验,更懂你的AI,立即体验豆包MarsCode编程助手
【推荐】抖音旗下AI助手豆包,你的智能百科全书,全免费不限次数
【推荐】轻量又高性能的 SSH 工具 IShell:AI 加持,快人一步
· Manus重磅发布:全球首款通用AI代理技术深度解析与实战指南
· 被坑几百块钱后,我竟然真的恢复了删除的微信聊天记录!
· 没有Manus邀请码?试试免邀请码的MGX或者开源的OpenManus吧
· 园子的第一款AI主题卫衣上架——"HELLO! HOW CAN I ASSIST YOU TODAY
· 【自荐】一款简洁、开源的在线白板工具 Drawnix